### Method

# Gio SimpleAsyncResult set_handle_cancellation

deprecated: 2.46

#### Declaration

    void
    g_simple_async_result_set_handle_cancellation (
      GSimpleAsyncResult* simple,
      gboolean handle_cancellation
    )

#### Description

Sets whether to handle cancellation within the asynchronous operation.

This function has nothing to do with g_simple_async_result_set_check_cancellable(). It only refers to the `GCancellable` passed to g_simple_async_result_run_in_thread().

Deprecated since: 2.46

Please do not use it in newly written code.

#### Parameters

`handle_cancellation`

  Type: `gboolean`

  A #gboolean.